/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-c41ts9rbnu] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-c41ts9rbnu] {
    flex: 1;
}

.sidebar[b-c41ts9rbnu] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-c41ts9rbnu] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-c41ts9rbnu]  a, .top-row[b-c41ts9rbnu]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-c41ts9rbnu]  a:hover, .top-row[b-c41ts9rbnu]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-c41ts9rbnu]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-c41ts9rbnu] {
        justify-content: space-between;
    }

    .top-row[b-c41ts9rbnu]  a, .top-row[b-c41ts9rbnu]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-c41ts9rbnu] {
        flex-direction: row;
    }

    .sidebar[b-c41ts9rbnu] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-c41ts9rbnu] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-c41ts9rbnu]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-c41ts9rbnu], article[b-c41ts9rbnu] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Pages/Chat/ChatPage.razor.rz.scp.css */
.chat-custom[b-g213a8g3p9]  .k-message-box-wrapper span.k-message-box {
    flex-direction: row !important;
}

.chat-custom[b-g213a8g3p9]  .k-chat {
    max-width: 100% !important;
}

.chat-custom[b-g213a8g3p9]  .k-message-box {
    display: flex;
    align-items: center;
    width: 100%;
    gap: 10px;
    padding: 8px;
}

.chat-custom[b-g213a8g3p9]  .k-message-box textarea {
    flex: 1 !important;
    resize: vertical;
    min-width: 0;
}

.chat-custom[b-g213a8g3p9]  .k-message-box .k-input-suffix {
    flex-shrink: 0;
    margin-left: 8px;
    margin-right: 8px;
}

.chat-custom[b-g213a8g3p9]  .k-message-box .k-input-separator-horizontal {
    margin: 0;
}
